Subject: [PATCH v4 1/4] PCI: iproc: enable arm64 support for iProc PCIe

From: [email-masked] (Bjorn Helgaas)
Date: Wed, 22 Jul 2015 16:40:00 -0500

On Wed, Jul 22, 2015 at 02:09:24PM -0700, Ray Jui wrote:
> I'm fine with the entire change. Both of us understand it's temporary
> and will be removed as soon as struct pci_sys_data is removed from ARM32.
> 
> Note I don't know how the code merge should work here. The iProc PCIe
> driver is enabled when CONFIG_ARCH_BCM_IPROC is enabled. Note patch #3
> of this series enables CONFIG_ARCH_BCM_IPROC for arm64. Without this
> patch, arm64 build will be broken because of struct pci_sys_data.
> 
> I know you are taking PCI changes and I assume Catalin will be merging
> arm64 related changes. But patches in this patch series need to go
> together to keep things intact.

The easiest thing to do would be to merge them all through one tree.
Catalin could ack the arm64 config changes and I could merge everything via
PCI, or I could ack the PCI changes and he could merge them.

I propose the former since the PCI changes are more substantive, but if the
latter works better, feel free to add my:

Acked-by: Bjorn Helgaas <[email-masked]>

to the revised first patch and the second one.

Bjorn